## kuttypy 1.0

=== debian/changelog ===
kuttypy (1.0-2) unstable; urgency=medium

  * overridden dh_python3 to compile the prvate module properly

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 16 Jan 2019 18:04:12 +0100

kuttypy (1.0-1) unstable; urgency=medium

  * new upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 16 Jan 2019 16:46:11 +0100

kuttypy (0.1-2) UNRELEASED; urgency=medium

  * adapted d/watch to track https://github.com/csparkresearch/KuttyPy-GUI/
  * added a build-dependency on pyqt5-dev-tools. Closes: #919418

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 15 Jan 2019 19:42:24 +0100

kuttypy (0.1-1) unstable; urgency=medium

  * Initial release (Closes: #917943)
  * made a few quilt patches in order to:
    - change the clean routines
    - change defaults to Python3 and Qt5 in Debian
    - add a shell script to launch KuttyPy.py
  * added a manpage for the shell script
    
 -- Georges Khaznadar <georgesk@debian.org>  Tue, 01 Jan 2019 11:10:24 +0100
