=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_python3:
	dh_python3 -p kuttypy-gui /usr/share/kuttypy
