=== lang/Makefile ===
DESTDIR =
TS_FILES = $(shell ls *.ts)
QM_FILES = $(patsubst %.ts, %.qm, $(TS_FILES))
SOURCES = $(shell ls ../*py)
FORMS = $(shell ls ../utilities/templates/*.ui)
PYLUPDATE ?= pylupdate5
export LANG=C

all: $(QM_FILES)

$(QM_FILES): $(TS_FILES)
	lrelease -qt5 kuttypy.pro > lrelease.log

$(TS_FILES): kuttypy.pro
	$(PYLUPDATE) kuttypy.pro

kuttypy.pro: $(SOURCES)
	@echo "# GENERATED FILE, DO NOT EDIT" > $@
	@echo "SOURCES = $(SOURCES)" >> $@
	@echo "FORMS = $(FORMS)" >> $@
	@echo "TRANSLATIONS = $(TS_FILES)"  >> $@

clean:
	rm -f *~ $(QM_FILES) kuttypy.pro lrelease.log *.svg status.txt

install:

.PHONY: all clean install
