## kuttypy 2.1

=== debian/changelog ===
kuttypy (2.1-2) unstable; urgency=medium

  * enforced reproducible builds

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 25 Nov 2019 19:37:42 +0100

kuttypy (2.1-1) unstable; urgency=medium

  * new upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 27 Oct 2019 23:50:56 +0100

kuttypy (2.0-1) unstable; urgency=medium

  * fixed print_function
  * New upstream version 2.0
  * fixed the executable mode for KuttyPyGUI.py

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 25 Aug 2019 19:08:58 +0200
