=== debian/control ===
Source: kuttypy
Section: x11
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 11),
 python3-all, dh-python, pyqt5-dev-tools
Standards-Version: 4.3.0
Homepage: http://expeyes.in/kuttypy/index.html
Vcs-Browser: https://salsa.debian.org/georgesk/kuttypy
Vcs-Git: https://salsa.debian.org/georgesk/kuttypy.git

Package: kuttypy-gui
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3,
 python3-pyqt5, python3-serial
Description: Graphic user interface to interact with KuttyPy
 KuttyPy is a USB interfaced board that gives you an option to do such
 things like to switch a light bulb, rotate a motor or measure a
 temperature under software control, in pure Python.
 .
 Playing with LEDs, motors, switches etc. is the primary objective of
 this hardware, but the experience gained in manipulating the 32
 Input/Output pins of this board will gradually make you familiar with
 the ATMega32 micro-controller.
