## kuttypy 2.1.1

=== debian/changelog ===
kuttypy (2.1.1-2) unstable; urgency=medium

  * added build-dependencies qt5-qmake and qttools5-dev-tools; Closes: #968881

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 23 Aug 2020 11:11:17 +0200

kuttypy (2.1.1-1) unstable; urgency=medium

  * new upstream version : features scintilla editor for python
  * added a dependency on python3-pyqt5.qsci
  * upgrades: Standards-Version: 4.5.0, debhelper-compat (=12)

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 22 Aug 2020 12:42:09 +0200
