=== debian/control ===
--- 
+++ 
@@ -2,17 +2,24 @@
 Section: x11
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 11),
- python3-all, dh-python, pyqt5-dev-tools
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (=12),
+ python3-all,
+ dh-python,
+ pyqt5-dev-tools,
+ qt5-qmake,
+ qttools5-dev-tools
+Standards-Version: 4.5.0
 Homepage: http://expeyes.in/kuttypy/index.html
 Vcs-Browser: https://salsa.debian.org/georgesk/kuttypy
 Vcs-Git: https://salsa.debian.org/georgesk/kuttypy.git
 
 Package: kuttypy-gui
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3,
- python3-pyqt5, python3-serial
+Depends: ${misc:Depends}, ${python3:Depends},
+ python3,
+ python3-pyqt5,
+ python3-serial,
+ python3-pyqt5.qsci
 Description: Graphic user interface to interact with KuttyPy
  KuttyPy is a USB interfaced board that gives you an option to do such
  things like to switch a light bulb, rotate a motor or measure a
