=== debian/watch ===
version=4


# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%kuttypy-$1.tar.gz%" \
   https://github.com/csparkresearch/KuttyPy-GUI/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

# Direct Git
# opts="mode=git" http://git.example.com/kuttypy.git \
#   refs/tags/v([\d\.]+) debian uupdate
