## kuttypy 2.3

=== Makefile ===
--- 
+++ 
@@ -21,19 +21,19 @@
   PYLUPDATE = pylupdate4
 endif
 
-SUBDIRS = utilities lang
+SUBDIRS = utilities
 
 all: recursive_all
 
 recursive_all:
 	@echo '?. Using QT Version:' $(QT_VERSION)  $(PYUIC) $(PYRCC)  $(PYLUPDATE) $(PY_VERSION)
 	@echo "QT_VERSION = '$(QT_VERSION)'\nPY_VERSION = $(PY_VERSION)\n" > utilities/build_details.py
-	for d in $(SUBDIRS); do $(MAKE) PYUIC=$(PYUIC) PYRCC=$(PYRCC) PYLUPDATE=$(PYLUPDATE) PY_VERSION=$(PY_VERSION) -C $$d all; done
+	for d in $(SUBDIRS); do make PYUIC=$(PYUIC) PYRCC=$(PYRCC) PYLUPDATE=$(PYLUPDATE) PY_VERSION=$(PY_VERSION) -C $$d all; done
 
 clean: recursive_clean
 	rm -rf *.pyc *~ __pycache__
 
 recursive_clean:
-	for d in $(SUBDIRS); do $(MAKE) -C $$d clean; done
+	for d in $(SUBDIRS); do make -C $$d clean; done
 
 .PHONY: all recursive_all clean recursive_clean
