=== debian/changelog ===
kuttypy (2.3-2) unstable; urgency=medium

  * fixed syntax warnings. Closes: #1085664

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 21 Oct 2024 16:06:43 +0200

kuttypy (2.3-1) unstable; urgency=medium

  * removed files which may be cleaned out
  * added a shell script as the main command kuttypy-gui
  * New upstream version 2.3

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 13 Feb 2024 12:21:12 +0100

kuttypy (2.2-1) unstable; urgency=medium

  * New upstream version 2.2
  * updated debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 08 Feb 2024 17:40:23 +0100

kuttypy (2.1.1-5) unstable; urgency=medium

  * applied Vagrant Cascadian's patch, thanks! Closes: #1055969

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 18 Jan 2024 10:56:08 +0100

kuttypy (2.1.1-4) unstable; urgency=medium

  * patched lang/Makefile to prevent TS files from being updated.
    Closes: #1045873

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 12 Nov 2023 18:25:46 +0100

kuttypy (2.1.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 21 Feb 2023 18:24:47 +0100
