## kuttypy 2.4

=== requirements.txt ===
mkdocs
mkdocs-material[recommended, imaging]
mkdocs-gen-files
mkdocs-material-extensions
mkdocs-table-reader-plugin
mkdocs-exclude-search
pillow
cairosvg
