=== debian/changelog ===
kuttypy (2.4-1) unstable; urgency=medium

  * New upstream version 2.4

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 13 Jul 2025 13:10:30 +0200
