=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: x11
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper-compat (=12),
+Build-Depends: debhelper-compat (= 13),
  python3-all,
  dh-python,
  pyqt5-dev-tools,
  qt5-qmake,
  qttools5-dev-tools
-Standards-Version: 4.5.0
-Homepage: http://expeyes.in/kuttypy/index.html
+Standards-Version: 4.6.1
+Homepage: https://expeyes.in/kuttypy/index.html
 Vcs-Browser: https://salsa.debian.org/georgesk/kuttypy
 Vcs-Git: https://salsa.debian.org/georgesk/kuttypy.git
