=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

DESTDIR = $(CURDIR)/debian/kuttypy-gui

override_dh_python3:
	dh_python3 -p kuttypy-gui /usr/share/kuttypy

override_dh_install:
	dh_install
	chmod -x $(DESTDIR)/usr/share/kuttypy/KuttyPyGUI.py
	#remove compiled files from the package
	for f in $$(find $(DESTDIR)/usr/share/kuttypy/examples); do \
	  if file "$$f" | grep -q ELF; then \
	    rm $$f; \
	  fi; \
	done
